<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMetropolitanBookingBookingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: metropolitan_booking_bookings
         */
        Schema::create('metropolitan_booking_bookings', function ($table) {
            $table->increments('id');
            $table->string('agent', 255)->nullable();
            $table->string('name', 60)->nullable();
            $table->string('mobile', 20)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('price', 20)->nullable();
            $table->string('payment_method', 60)->nullable();
            $table->string('slug', 60)->nullable();
            $table->string('user_type', 60)->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('metropolitan_booking_bookings');
    }
}
