<?php

namespace Metropolitan\Booking\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class BookingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('metropolitan_booking_bookings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'metropolitan.booking.booking.view',
                'name'      => 'View Booking',
            ],
            [
                'slug'      => 'metropolitan.booking.booking.create',
                'name'      => 'Create Booking',
            ],
            [
                'slug'      => 'metropolitan.booking.booking.edit',
                'name'      => 'Update Booking',
            ],
            [
                'slug'      => 'metropolitan.booking.booking.delete',
                'name'      => 'Delete Booking',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/booking/booking',
                'name'        => 'Booking',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/booking/booking',
                'name'        => 'Booking',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'booking',
                'name'        => 'Booking',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Booking',
                'module'    => 'Booking',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'metropolitan.booking.booking.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
