<?php

namespace Metropolitan\Booking\Policies;

use Metropolitan\Booking\Models\Booking;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait BookingAction
{

    /**
     * Determine if the given user can copy the given booking.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Booking $booking)
    {

        if ($authUser->canDo('booking.booking.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given booking.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Booking $booking) {

        if ($authUser->canDo('booking.booking.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given booking.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Booking $booking)
    {

        if ($authUser->canDo('booking.booking.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
